Bug 199187 - doubling clicking on systray icon brings back menu
Summary: doubling clicking on systray icon brings back menu
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Qingyu Wang
QA Contact:
URL:
Whiteboard:
Keywords: i18n, Reopened
Depends On:
Blocks: SCIM
TreeView+ depends on / blocked
 
Reported: 2006-07-17 20:43 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.4.4-29.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-31 14:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2006-07-17 20:43:04 UTC
Description of problem:
If one clicks to time on the scim systray icon then a new menu appears
rather than the menu brought up by the first click disappearing.

How reproducible:
every time

Steps to Reproduce:
1. click on systray icon to bring up factory (button1) or command menu (button3).
2. click on systray icon again.
  
Actual results:
1. menu appears
2. old menu disappears and new menu appears

Expected results:
2. old menu to disappear

Additional info:
This works correctly from the scim toolbar.

Comment 2 Qingyu Wang 2006-07-27 05:15:04 UTC
Ok, I will create it as soon as possible.

Comment 3 Qingyu Wang 2006-07-27 08:30:07 UTC
I created a patch and built it through brew already.

Comment 4 Jens Petersen 2006-07-27 11:23:00 UTC
Thanks for the quick patch.  I tested it:

Case 1.
1) click on tray icon
2) click on tray icon again with same button
-works well and the menu disappears

but

Case 2.
1) click on tray icon
2) click elsewhere (eg on desktop root or other part of panel)
3) click on tray icon again with same button
-menu does not appear until one extra click on the tray icon is made.

(Also don't forget to apply the patch in the spec file for it work. :)

Comment 5 Qingyu Wang 2006-07-27 18:04:25 UTC
Yeah, I noticed it already. And I just modified the patch and committed the new
patch to cvs and then built it.

Comment 6 Jens Petersen 2006-07-28 03:08:40 UTC
Thanks!  Looking good now.

Comment 7 Jens Petersen 2006-08-02 04:37:10 UTC
I think the patch is probably too keen though in the case when one menu is up
if one clicks another mouse button the other menu is mapped directly.
I think it should just unmap the current menu in this case like other
gnome panel applets do.


Comment 8 Jens Petersen 2006-08-09 14:53:14 UTC
Committed updated fix from qwang.

Comment 9 A S Alam 2006-08-31 14:28:04 UTC
working for latest build:
tested with following version
scim-1.4.4-32.fc6


Note You need to log in before you can comment on or make changes to this bug.